### Method

# Ide Notifications find_by_id

#### Declaration

    IdeNotification*
    ide_notifications_find_by_id (
      IdeNotifications* self,
      const gchar* id
    )

#### Description

Finds the first `IdeNotification` registered with `self` with `IdeNotification:id` of `id`.

Available since: | 3.32

#### Parameters

`id` | `const gchar*`
| The id of the notification.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.

#### Return value

Returns: | `IdeNotification`
| An `IdeNotification` or `NULL`.
| The caller of the method takes ownership of the data, and is responsible for freeing it.
| The return value can be `NULL`.